[arch-commits] Commit in libpeas/repos (8 files)

Jan de Groot jgc at archlinux.org
Wed Mar 25 15:34:50 UTC 2015


    Date: Wednesday, March 25, 2015 @ 16:34:49
  Author: jgc
Revision: 234813

db-move: moved libpeas from [gnome-unstable] to [testing] (i686, x86_64)

Added:
  libpeas/repos/testing-i686/
  libpeas/repos/testing-i686/PKGBUILD
    (from rev 234786, libpeas/repos/gnome-unstable-i686/PKGBUILD)
  libpeas/repos/testing-i686/libpeas.install
    (from rev 234786, libpeas/repos/gnome-unstable-i686/libpeas.install)
  libpeas/repos/testing-x86_64/
  libpeas/repos/testing-x86_64/PKGBUILD
    (from rev 234786, libpeas/repos/gnome-unstable-x86_64/PKGBUILD)
  libpeas/repos/testing-x86_64/libpeas.install
    (from rev 234786, libpeas/repos/gnome-unstable-x86_64/libpeas.install)
Deleted:
  libpeas/repos/gnome-unstable-i686/
  libpeas/repos/gnome-unstable-x86_64/

--------------------------------+
 testing-i686/PKGBUILD          |   39 +++++++++++++++++++++++++++++++++++++++
 testing-i686/libpeas.install   |   11 +++++++++++
 testing-x86_64/PKGBUILD        |   39 +++++++++++++++++++++++++++++++++++++++
 testing-x86_64/libpeas.install |   11 +++++++++++
 4 files changed, 100 insertions(+)

Copied: libpeas/repos/testing-i686/PKGBUILD (from rev 234786, libpeas/repos/gnome-unstable-i686/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2015-03-25 15:34:49 UTC (rev 234813)
@@ -0,0 +1,39 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+
+pkgname=libpeas
+pkgver=1.14.0
+pkgrel=1
+pkgdesc="A GObject-based plugins engine"
+arch=(i686 x86_64)
+url="http://www.gtk.org/"
+license=(GPL2)
+depends=(gtk3 hicolor-icon-theme gobject-introspection-runtime)
+makedepends=(gtk-doc intltool python-gobject python2-gobject glade gobject-introspection)
+install=libpeas.install
+source=(http://download.gnome.org/sources/$pkgname/${pkgver:0:4}/$pkgname-${pkgver}.tar.xz)
+sha256sums=('5e4b3a8968b71497ab26a7a528c414c4c640c5724328fa3507854f04788e2d76')
+
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  # Pygobject 3.15.x Throws deprecation message to stderr which causes failed test suite. Works fine with 3.14.x
+  make check || return 0
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="${pkgdir}" install
+}
+
+# vim:set ts=2 sw=2 et:

Copied: libpeas/repos/testing-i686/libpeas.install (from rev 234786, libpeas/repos/gnome-unstable-i686/libpeas.install)
===================================================================
--- testing-i686/libpeas.install	                        (rev 0)
+++ testing-i686/libpeas.install	2015-03-25 15:34:49 UTC (rev 234813)
@@ -0,0 +1,11 @@
+post_install() {
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove() {
+  post_install
+}

Copied: libpeas/repos/testing-x86_64/PKGBUILD (from rev 234786, libpeas/repos/gnome-unstable-x86_64/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2015-03-25 15:34:49 UTC (rev 234813)
@@ -0,0 +1,39 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+
+pkgname=libpeas
+pkgver=1.14.0
+pkgrel=1
+pkgdesc="A GObject-based plugins engine"
+arch=(i686 x86_64)
+url="http://www.gtk.org/"
+license=(GPL2)
+depends=(gtk3 hicolor-icon-theme gobject-introspection-runtime)
+makedepends=(gtk-doc intltool python-gobject python2-gobject glade gobject-introspection)
+install=libpeas.install
+source=(http://download.gnome.org/sources/$pkgname/${pkgver:0:4}/$pkgname-${pkgver}.tar.xz)
+sha256sums=('5e4b3a8968b71497ab26a7a528c414c4c640c5724328fa3507854f04788e2d76')
+
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  # Pygobject 3.15.x Throws deprecation message to stderr which causes failed test suite. Works fine with 3.14.x
+  make check || return 0
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="${pkgdir}" install
+}
+
+# vim:set ts=2 sw=2 et:

Copied: libpeas/repos/testing-x86_64/libpeas.install (from rev 234786, libpeas/repos/gnome-unstable-x86_64/libpeas.install)
===================================================================
--- testing-x86_64/libpeas.install	                        (rev 0)
+++ testing-x86_64/libpeas.install	2015-03-25 15:34:49 UTC (rev 234813)
@@ -0,0 +1,11 @@
+post_install() {
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove() {
+  post_install
+}



More information about the arch-commits mailing list